html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

/* error message */
.validation-errors {
    background-color: #f8d7da;
    border-color: #f5c2c7;
    padding: 1rem 1rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: .25rem;
    list-style-type: none;
}
.validation-message {
    color: #842029;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/* OnnetSystems */
/* Toggle Menu */
.menu-system-modal {
    position: absolute;
    z-index: 1000;
    background: #fff;
    left: 0;
    width: 100%;
    margin: 0;
    padding: 0 1em;
}

/* Header */
.login-header {
    max-width: 500px;
    border-bottom: 0.5em solid #7eb769;
}

.header {
    border-bottom: 0.5em solid #7eb769;
}

/* Login */
.loginpage {
    max-width: 500px;
    min-height: 300px;
    background: #EDEDEB;
    color: #000;
}

    .loginpage input[type="text"],
    .loginpage input[type="password"] {
        width: 25em;
        max-width: 90%;
        padding: 0.7em 0.5em;
    }

    .loginpage button[type="submit"] {
        width: 330px;
        height: 50px;
        display: inline-block;
        padding: 12px 24px;
        font-weight: bold;
        border-radius: 4px;
        background-color: #2F9D2D;
        box-shadow: 0 1px 2px 2px #dcdcdc;
        border-top: solid 2px #C3FB91;
        border-left: solid 2px #C3FB91;
        border-bottom: solid 3px #116600;
        text-decoration: none;
        color: #fff;
        text-align: center;
    }

        .loginpage button[type="submit"]:active {
            box-shadow: none;
            position: relative;
            border-bottom: none;
            top: 7px;
        }

    .loginpage .login-recovery-link {
        font-size: 0.7rem;
    }

        .loginpage .login-recovery-link a {
            color: #085C3C;
        }

.login-footer {
    max-width: 500px;
    min-height: 125px;/*add*/
    border-bottom: 0.3em solid #7eb769;
    font-size: 0.7rem;
    background-color: #53b8bb;
    color: aliceblue;
}

    .login-footer h3 {
        font-size: 0.8rem;
    }

    .login-footer a {
        color: aliceblue;
    }

/* StatusMessage */
.validation-summary-errors ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

/* onnetsystems */
input.form-control,
textarea.form-control,
select.form-select,
input.form-check-input {
    margin-bottom: 0.5rem;
}

.maxw-10 {
    max-width: 10rem;
}

button,
a.btn {
    min-width: 7.5rem;
    min-height: 2.35rem;
}

.pager button {
    min-width: 2.5rem;
}

.ons-label {
    color: #000;
    background-color: #85a3ae;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: visible;
    min-height: 1.75rem;
    position: relative;
}

.ons-readonly {
    color: #fff;
    background-color: #969696;
}

.ons-smalltext {
    font-size: .75rem;
}

.ons-requiredLabel {
    position: absolute;
    top: -0.5rem;
    right: -1rem;
    color: red;
    background-color: transparent;
    border-radius: 50%;
    font-size: 1rem;
}